/*
 * Class CURSOR_STRUCTURE [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_506 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_506 [] = {0xFF01,237,505,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_506 [] = {0xFF01,505,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_506 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_506 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_506 [] = {0xFF01,505,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_506 [] = {0xFF01,505,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_506 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_506 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_506 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_506 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_506 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_506 [] = {505,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_506 [] = {0xFF01,505,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_506 [] = {0xFF01,504,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_506 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_506 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_506 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_506[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_506), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_506), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_506), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_506), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_506), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_506), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_506), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_506), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_506), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_506), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_506), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_506), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_506), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_506), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1881, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1884, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_506), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_506), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_506), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_506), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init506(void)
{
	IDSC(desc_506, 0, 505);
	IDSC(desc_506 + 1, 1, 505);
	IDSC(desc_506 + 32, 77, 505);
	IDSC(desc_506 + 41, 282, 505);
	IDSC(desc_506 + 50, 243, 505);
	IDSC(desc_506 + 56, 184, 505);
	IDSC(desc_506 + 59, 229, 505);
}


#ifdef __cplusplus
}
#endif
